Groovy 1.7.0

## groovy.lang
Interface MetaClassRegistryChangeEventListener

    interface MetaClassRegistryChangeEventListener
    extends EventListener

A listener called whenever a constant MetaClass is set, removed or replaced.

see:
  MetaClassRegistry

see:
  MetaClassRegistryChangeEvent

author:
  Jochen Theodorou

Method Summary
`void` | `updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)` Called when the a constant MetaClass is updated.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Method Detail

### updateConstantMetaClass

    public void updateConstantMetaClass(MetaClassRegistryChangeEvent cmcu)

  Called when the a constant MetaClass is updated. If the new MetaClass is null, then the MetaClass is removed. Be careful, while this method is executed other updates may happen. If you want this method thread safe, you have to take care of that by yourself.
  param:
    cmcu - the change event

Copyright © 2003-2009 The Codehaus. All rights reserved.